サポート » バグ報告と提案 » このブロックでエラーが発生したため…

  • 解決済 mumumu

    (@imamura4108)


    ブロックの編集中に「このブロックでエラーが発生したためプレビューできません。」が頻繁に発生します。
    発生するようになったタイミングとしては Worpdress6 にしてからです。
    それまで発生した覚えがありません。

    あまりに頻発する(現状新規作成時100%)のでバグではないかと疑っています。
    エラー発生時のブラウザ検証で見ると次のような状態です。

    https://miso-soup.notion.site/wordpress-error-screenshot-2d2b092427cd4429851f2c30de15fc3e

    状況としては、文字を入力後に、削除したり上書きをした瞬間に発生します。
    一度エラーとなったものも「下書き保存」後にリロードすると再表示されます。しかし、一度エラーが発生したブロックは編集状態にするだけで再びエラーになるので、毎回新しいブロックで作り直しています。

    ブラウザのクッキーと履歴を全て削除してから、再度編集を試みましたが同様にエラーが発生しました。

    • このトピックはmumumuが1週、 4日前に変更しました。
    • このトピックはmumumuが1週、 4日前に変更しました。
    • このトピックはmumumuが1週、 4日前に変更しました。
    • このトピックはmumumuが1週、 4日前に変更しました。
4件の返信を表示中 - 1 - 4件目 (全4件中)
  • @imamura4108 さん

    こんにちは。
    添付いただいたエラーですが、

    • コアブロック
    • カスタムブロック(プラグイン)

    のどちらのブロックを操作した時に発生しますでしょうか。

    前者であれば、テーマ・プラグインによる影響、またはWordPress(Gutenberg)の不具合の可能性が考えられます。

    後者であれば、エラーメッセージを添えて、そのプラグインのフォーラムページでご質問されると良いと思います。

    トピック投稿者 mumumu

    (@imamura4108)

    エラーの発生は「コアブロック」です

    段落ブロック、見出しブロックでも発生します

    全てのプラグインを停止した状態でも発生します

    • この返信は1週、 4日前にmumumuが編集しました。

    全てのコアブロックで発生するのであれば、WordPress / Gutenbergの問題とは考えにくく、環境の問題ではないかと予想します。

    可能性として、お使いのテーマにブロックエディターに関する機能が組み込まれており、そのコードがエラーを吐いている場合があります。

    一度Twenty Twenty Twoなどのデフォルトテーマに変更し、エラーが発生するかご確認下さい。

    トピック投稿者 mumumu

    (@imamura4108)

    ありがとうございます。
    テーマを変更してみたところ、たしかにエラーが発生しなくなりました。
    使用しているテーマになにか問題があるのかもしれません。
    テーマ提供サイトの方に問い合わせてみます。

    • この返信は1週、 3日前にmumumuが編集しました。
4件の返信を表示中 - 1 - 4件目 (全4件中)
  • このトピックに返信するにはログインが必要です。